Change a sender's countries (logged)
PATCH
/api/v1/workspaces/{workspace}/sms/senders/{senderId}
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/senders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload := strings.NewReader("{ \"countries\": [ \"example\" ] }")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/senders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"countries":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/sms/senders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "countries": [ "example" ] }'Permission: providers:manage (sensitive)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
senderId
required
Sender id
string format: uuid
Sender id
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
countries
required
Array<string>
Example generated
{ "countries": [ "example" ]}Responses
Section titled “Responses”OK
Media typeapplication/json
object
items
required
Array<object>
object
adapter
required
string
brand
object
country
required
string
kind
required
string
name
string
readAt
string format: date-time
reason
string
setBy
string
since
string format: date-time
source
required
string
status
required
string
campaign
object
country
required
string
kind
required
string
name
string
readAt
string format: date-time
reason
string
setBy
string
since
string format: date-time
source
required
string
status
required
string
canSend
required
boolean
countries
required
Array<string>
held
required
boolean
id
required
string
kind
required
string
label
required
string
manual
required
boolean
provider
required
string
providerId
required
string
registration
required
object
country
required
string
kind
required
string
name
string
readAt
string format: date-time
reason
string
setBy
string
since
string format: date-time
source
required
string
status
required
string
routes
required
Array<Array<string>>
throughput
required
number format: double
value
required
string
Example
{ "items": [ { "brand": { "kind": "toll_free", "source": "api", "status": "not_registered" }, "campaign": { "kind": "toll_free", "source": "api", "status": "not_registered" }, "kind": "toll_free", "registration": { "kind": "toll_free", "source": "api", "status": "not_registered" } } ]}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}